package codelet;

import org.jdom2.Element;
import org.openqa.selenium.*;

public class SeachItemInShop extends AbstractSeleniumScript {


    @Override
    public boolean hasOutput() {
        return true;
    }

    @Override
    public boolean hasInput() {
        return true;
    }

    @Override
    public String getOutputDataType() {
        return "OfferNameAndPriceOutputType";
    }

    @Override
    public String getInputDataType() {
        return "SearchedItem";
    }
    //inData.getChild("codeletInput")
    @Override
    public String execute(String root, String webdriver) throws Exception {

        boolean itemFound = false;
        String itemName = "No item found";
        String itemPrice = "No item Found";


            System.out.println(root);
            Element newRoot = XMLTransformer.stringToElement(root);
            String itemNameInput = newRoot.getChild("ItemName").getValue();

            WebDriver driver = WebDriverFactory.webDriverFactoryFireFox(webdriver);
            driver.get("http://automationpractice.com/index.php");
            Thread.sleep(1000);


            WebElement searchButton = driver.findElement(By.xpath("//input[@id='search_query_top']"));
           // String item = inputRoot.getChild("Destination").getValue();
            searchButton.sendKeys(itemNameInput);
            searchButton.submit();
            try{
                WebElement firstItem = driver.findElement(By.xpath("/html[1]/body[1]/div[1]/div[2]/div[1]/div[3]/div[2]/ul[1]/li[1]/div[1]/div[1]/div[1]/a[1]/img[1]"));

            firstItem.click();
            Thread.sleep(3000);

            WebElement price =  driver.findElement(By.xpath("//span[@id='our_price_display']"));
            WebElement name = driver.findElement(By.xpath("/html[1]/body[1]/div[1]/div[2]/div[1]/div[4]/div[1]/div[1]/div[1]/div[3]/h1[1]"));

            itemName = name.getText();
            itemPrice = price.getText();
            itemFound = true;

            System.out.println(itemName + " " + itemPrice + " " + itemFound);}
                catch(NoSuchElementException e){
                    System.out.println("No Item with given Name found!");
                }

            driver.close();


        Element result = new Element("result");
        result.addContent(new Element("ItemNameResult").setText(itemName));
        result.addContent(new Element("ItemPriceResult").setText(itemPrice));
        result.addContent(new Element("ItemFoundResult").setText(("" + itemFound)));
        return XMLTransformer.XMLtoString(result);

    }
}
