package util;

import exceptions.NoOrFalseJarNameException;
import exceptions.NoSuchRPAScriptException;
import rpa.*;

import java.io.IOException;
import java.util.HashMap;

public class RPASkriptFinder {

    private static HashMap<String, AbstractSeleniumScript> getAllRPAScripts() throws NoOrFalseJarNameException, IOException, ClassNotFoundException {


        /*

        HashMap<String, AbstractSeleniumScript> RPAScripts = new HashMap<String, AbstractSeleniumScript>();

        RPAScripts.put("CreateNewCompanyRPA", new CreateNewCompanyRPA());
        RPAScripts.put("SearchExistingCustomerRPA", new SearchExistingCustomerRPA());
        RPAScripts.put("SearchExistingCompanyRPA", new SearchExistingCompanyRPA());
        RPAScripts.put("CreateNewCustomerRPA", new CreateNewCustomerRPA());

        return RPAScripts;
        */

        return null;

    }

    public static void getRPAAgentsClass(String rpaName) throws NoSuchRPAScriptException, IOException, NoOrFalseJarNameException, ClassNotFoundException {

        RPAClassLoader.loadClassFromJar(rpaName);

        if(ScriptModel.getStartingClass() != null){
        }
        else{
            throw new NoSuchRPAScriptException("There was no such RPA-Agent, please insert an available agent. For further information contact your admin.");
        }
    }
}
