package codelet;

import org.jdom2.Element;
import org.openqa.selenium.By;
import org.openqa.selenium.NoSuchElementException;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class BuyItemInShop extends AbstractSeleniumScript {

    @Override
    public boolean hasOutput() {
        return false;
    }

    @Override
    public boolean hasInput() {
        return true;
    }

    @Override
    public String getOutputDataType() {
        return "";
    }

    @Override
    public String getInputDataType() {
        return "SearchedItem";
    }
    //inData.getChild("codeletInput")
    @Override
    public String execute(String root, String webdriver) throws Exception {


        System.out.println(root);
        Element newRoot = XMLTransformer.stringToElement(root);
        String itemNameInput = newRoot.getChild("ItemName").getValue();

        WebDriver driver = WebDriverFactory.webDriverFactoryFireFox(webdriver);
        driver.get("http://automationpractice.com/index.php");
        Thread.sleep(3000);


        WebElement searchButton = driver.findElement(By.xpath("//input[@id='search_query_top']"));
        // String item = inputRoot.getChild("Destination").getValue();
        searchButton.sendKeys(itemNameInput);
        searchButton.submit();
        try{
            WebElement firstItem = driver.findElement(By.xpath("/html[1]/body[1]/div[1]/div[2]/div[1]/div[3]/div[2]/ul[1]/li[1]/div[1]/div[1]/div[1]/a[1]/img[1]"));

            firstItem.click();
            Thread.sleep(3000);

        }
        catch(NoSuchElementException e){
            System.out.println("No Item with given Name found!");
        }

        WebElement addToCart = driver.findElement(By.xpath("//span[contains(text(),'Add to cart')]"));
        addToCart.click();
        Thread.sleep(2000);


        driver.close();

        return "";

    }
}
